package com.ruoyi.ss.commandLog.service;


import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.ss.commandLog.domain.CommandLog;

import java.time.LocalDate;
import java.util.List;

/**
 * 命令日志Service接口
 *
 * @author 邱贞招
 * @date 2024-07-06
 */
public interface ICommandLogService
{
    /**
     * 查询命令日志
     *
     * @param id 命令日志主键
     * @return 命令日志
     */
    public CommandLog selectEtCommandLogById(Long id);

    /**
     * 查询命令日志列表
     *
     * @param eCommandLog 命令日志
     * @return 命令日志集合
     */
    public List<CommandLog> selectEtCommandLogList(CommandLog eCommandLog);

    /**
     * 新增命令日志
     *
     * @param eCommandLog 命令日志
     * @return 结果
     */
    public int insertEtCommandLog(CommandLog eCommandLog);

    /**
     * 修改命令日志
     *
     * @param eCommandLog 命令日志
     * @return 结果
     */
    public int updateEtCommandLog(CommandLog eCommandLog);

    /**
     * 批量删除命令日志
     *
     * @param ids 需要删除的命令日志主键集合
     * @return 结果
     */
    public int deleteEtCommandLogByIds(Long[] ids);

    /**
     * 删除命令日志信息
     *
     * @param id 命令日志主键
     * @return 结果
     */
    public int deleteEtCommandLogById(Long id);

    /**
     * 异步保存日志
     */
    int asynchronousSaveLog(String command,String mac,String result,String reason, LoginUser user,Integer iotCode);

    /**
     * 插入一条蓝牙命令日志
     */
    int addBluetoothLog(CommandLog po, LoginUser loginUser);

    /**
     * 批量插入
     */
    int batchInsert(List<CommandLog> list);

    /**
     * 清除指定日期之前的日志
     */
    int clearBeforeDateLater(LocalDate date);
}
